Skip Menu |
 

This queue is for tickets about the Perl-Dist-Strawberry CPAN distribution.

Report information
The Basics
Id: 50677
Status: resolved
Priority: 0/
Queue: Perl-Dist-Strawberry

People
Owner: Nobody in particular
Requestors: kmx [...] cpan.org
Cc:
AdminCc: csjewell [...] cpan.org

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Ext-libs: redesign planned for Jan-2010 release
Download (untitled) / with headers
text/plain 3.7k
Goals: ------ *) Switch all dynamic libs (DLLs) to new naming conventions *) Update libs to current versions *) Fix some known issues concerning ext-libs *) Prepare binaries (*.a/*.dll) for both 32-bit/64-bit (quite interesting!!) *) Keep build scripts somewhere at svn.ali.as (not to be dependant on kmx) *) No urgent need for adding another libs (correct me if I it is not true) Dynamic libraries: ------------------ *) Openssl 0.9.8k - libeay32_.dll libssl32_.dll - missing _CONF_get_string/_CONF_add_string/... (blocker for Crypt::OpenSSL::CA) - unfortunately it is "a standard" in Win32/mingw build - 64-bit version should be OpenSSL 1.0.0-beta (0.9.x doesn't support MINGW64) *) LibXML2 2.7.3 - libxml2_.dll - upgrade to 2.7.6 *) LibXSLT 1.1.24 - libxslt_.dll libexslt_.dll - upgrade to 1.1.26 *) Postgres 8.4.0 - libpq_.dll - upgrade to 8.4.1 - probably still without Kerberos support (MSVCR71.DLL dependency) - there are reported issues with building PG libs on MINGW64 (I'll check this) - see: http://www.mail-archive.com/pgsql-general@postgresql.org/msg133245.html *) Zlib 1.2.3 - zlib1.dll - rebuild with new DLL naming convention *) Expat 2.0.1 - libexpat.dll libexpatw.dll - rebuild with new DLL naming convention - libexpatw.dll probably can be removed (I'll check this) *) Iconv 1.9.2 - libiconv2.dll libcharset1.dll - upgrade to 1.13.1 - rebuild with new DLL naming convention - rebuild without dependency on libintl *) LibIntl 0.14.4 - libintl3.dll - this lib will be removed - required just by iconv.exe (dependency will be removed) *) LibFreetype 2.3.5-1 - freetype6.dll (+freetype-config) - upgrade to 2.3.11 - rebuild with new DLL naming convention - make freetype-config ready for spaces in dirnames *) LibGif 4.1.4-1 - giflib4.dll - upgrade to 4.1.6 - rebuild with new DLL naming convention *) LibJpeg 6b-4 - jpeg62.dll - upgrade to version 7 - rebuild with new DLL naming convention *) LibPng 1.2.38 - libpng12.dll libpng13.dll libpng3.dll (+libpng12-config, libpng-config) - upgrade to 1.2.40 - rebuild with new DLL naming convention - just one DLL (still supporting both link options -lpng and -lpng12) - make libpng-config ready for spaces in dirnames *) LibTiff 3.8.2-1 - libtiff3.dll - upgrade to 3.9.1 - rebuild with new DLL naming convention *) LibXpm 3.5.1 - xpm4.dll - upgrade to 3.5.8 - rebuild with new DLL naming convention *) LibGD 2.0.33-1 - libgd2.dll (+gdlib-config) - upgrade to 2.0.35 - rebuild with new DLL naming convention - make gdlib-config ready for spaces in dirnames - will be linked link with the new libtiff, libpng, libxmp, libfreetype, libiconv, libz Static libraries (libs coming with Win32-API package not incldued): ------------------------------------------------------------------- *) Berkeley DB 4.7.25 - libdb.a - upgrade to 4.8.24 - +fix for RT http://rt.cpan.org/Ticket/Display.html?id=49474 (I have already done) *) GNU MP 4.2.1 - libgmp.a - upgrade to 4.3.1 - 64-bit version has to be carefully tested (by make check) 32-bit/64-bit naming convention: -------------------------------- - to avoid collisions in DLL names I propose changing DLL naming like this - 32-bit: <name>_32_.dll - 64-bit: <name>_64_.dll - or tell me what you prefer In order to make bug hunting easier I will try to build 32-bit/64-bit version of the same lib always in the same way with the same (or similar) options - BTW: this is the reason why I propose not to use gnuwin32 binaries as there is no gnuwin64 project. 64-bit versions will be built by MinGW-w64 compiler (currently the only available gcc for 64-bit MS Windows). I will prepare at least 32-bit libs no later than 1 December 2009. Any comments welcome (preferably before the end of October when I'll start working on this). Slightly OT: It would be a good idea to make Perl-Dist* packcages somehow ready for dual (32-bit/64-bit) packaging. -- kmx
Download (untitled) / with headers
text/plain 144b
Recording conclusion from today's IRC discussion: - build libs from gdbm-1.8.3 for January-2010 - required by core modules: GDBM_File, NDBM_File
Download (untitled) / with headers
text/plain 2.6k
Hi, I have done the-big-lib-rebuild: - all libs built for both 32bit+64bit Windows - all 32bit DLLs has a suffix _.dll - all 64bit DLLs has a suffix __.dll - all libs consistently have a licenses\libname folder (license + URLs to sources/project homepage) - I have tested only 32bit binaries (all seems to works) - I have not tested 64bit binaries at all (sorry short of time) - the results are: http://svn.ali.as/cpan/users/kmx/strawberry_packs/2010-January/ The packs equivalent to Oct09 functionality: - db-4.8.24 - expat-2.0.1 - freetype-2.3.11 - gd-2.0.35 - giflib-4.1.6 - gmp-4.3.1 - jpeg-6b - libiconv-1.13.1 - libpng-1.2.40 - libxml2-2.7.3 - libXpm-3.5.8 - libxslt-1.1.26 - openssl-0.9.8l (64bit: openssl-1.0.0-beta4) - postgresql-8.4.1 - tiff-3.9.1 - zlib-1.2.3 The newly introduced libs: - tidy-CVS20091001 (perl module: HTML::Tidy) - libidn-1.15 (perl module: Net::LibIDN) - mfpr-2.4.2 (perl module: Math::MPFR) - mpc-0.8 (perl module: Math::MPC) - gdbm-1.8.3 (perl modules: GDBM_File, NDBM_File) There is also a test script trying cpan install on all perl modules using those external libraries: http://svn.ali.as/cpan/users/kmx/strawberry_packs/2010-January/lib-test.bat Build procedure: - gmp-4.3.1 + mfpr-2.4.2: we use binaries provided by sezero (mingw-w64 project member) - mpc-0.8 I have built manually - the rest was built via scripts available at: http://svn.ali.as/cpan/users/kmx/strawberry_packs_devel/ There are several issues worth to mention: *) latest libxml2 2.7.6 is buggy - e.g. running xsltproc --version = crash - this was a reason why we stay at 2.7.3 *) latest libjpeg-7 does not work well with GD - gdlib compiles OK, however there are some failing test during perl module GD installation - this was a reason why we stay at jpeg-6b *) openssl 0.9.8 vs. 1.0.0 - 1.0.0 is currently only beta - latest releases of Net::SSleay and Crypt::SSLeay does not work well with 1.0.0 - 64-bit build (gcc@Win64) is supported only for openssl 1.0.0 - 32bit: we currently use latest stable 0.9.8l - 64bit: we currently use 1.0.0-beta4 *) postgres - still without gssapi/krb5 support (AFAIK nobody asked for it since Oct09 release) - 32bit: standard build (-with-openssl --with-ldap) - 64bit: VEEERY EXPERIMENTAL (srcs not ready for gcc@win64 at all, ugly patching was necessary) *) gmp - the latest stable version 4.3.1 is not ready for gcc@win64 - we are using binaries from sezero (mingw-w64 member) - there is a small issue with one Math::GMPf failing test - it is so small that I ignore it for now - see: http://rt.cpan.org/Ticket/Display.html?id=52082 To sum up - the doors to the first 64-bit strawberry beta are half-open -- kmx
Download (untitled) / with headers
text/plain 319b
One more newly introduced lib - liblzo: - module Compress::LZO - need a little patching: http://svn.ali.as/cpan/users/kmx/perl-modules-patched/Compress-LZO-1.08_patched.tar.gz http://svn.ali.as/cpan/users/kmx/strawberry_packs/2010-January/ - 32bit_lzo-2.03-bin_20091128.zip - 64bit_lzo-2.03-bin_20091128.zip -- kmx
Just for record all ext lib binaries were moved from svn.ali.as to:
http://strawberryperl.com/package/kmx/

--
kmx
Adding to tracking bug for April release.
Download (untitled) / with headers
text/plain 219b
Patched as far as 32-bit releases are concerned in r11545 (except for mysql, where I'm going to have to create new .par files using the new libraries first) 64-bit libraries will be arranged probably Monday or Tuesday.
Download (untitled) / with headers
text/plain 123b
Half the libraries were not copied over to the 32bit-gcc4 hash (they were only in the 32bit-gcc3 hash - r11551 fixes that.)
Subject: Re: [rt.cpan.org #50677] Ext-libs: redesign planned for Apr-2010 release
Date: Sun, 07 Mar 2010 19:38:53 +0100
To: bug-Perl-Dist-Strawberry [...] rt.cpan.org
From: kmx <kmx [...] volny.cz>
Download (untitled) / with headers
text/plain 743b
Download (untitled) / with headers
text/plain 1.1k
On Sun Mar 07 13:40:01 2010, kmx@volny.cz wrote: Show quoted text
> Hi Curtis, > > today I have updated math related libraries: > http://strawberryperl.com/package/kmx/32_libs/32bit_gmp-5.0.1- > 419f6a4cc606-bin_20100306.zip > http://strawberryperl.com/package/kmx/32_libs/32bit_mpc-0.8.1- > bin_20100306.zip > http://strawberryperl.com/package/kmx/32_libs/32bit_mpfr-2.4.2- > bin_20100306.zip > http://strawberryperl.com/package/kmx/64_libs/64bit_gmp-5.0.1- > 419f6a4cc606-bin_20100306.zip > http://strawberryperl.com/package/kmx/64_libs/64bit_mpc-0.8.1- > bin_20100306.zip > http://strawberryperl.com/package/kmx/64_libs/64bit_mpfr-2.4.2- > bin_20100306.zip > > All successfully tested with the following perl modules (both 32/64bit > perl): > Math::GMP Math::MPFR Math::MPC Math::GMPq Math::GMPf Math::GMPz > Math::BigInt::GMP Crypt::DH::GMP > > -- > kmx
I'll get the gmp one in in just a few minutes. The others I'll do when I add the libraries in that weren't in January, (I've already added libXpm, due to the fact that your version of GD needs it.) which will ll be before the March 17th release of the first beta. After that, the libraries are going to be frozen until after the April release.
Download (untitled) / with headers
text/plain 105b
r11554 is the patch that adds the 64-bit libraries. Keeping open because there are more libraries to add.
Subject: [SPAM] Re: [rt.cpan.org #50677] Ext-libs: redesign planned for Apr-2010 release
Date: Mon, 08 Mar 2010 12:55:11 +0100
To: bug-Perl-Dist-Strawberry [...] rt.cpan.org
From: kmx <kmx [...] volny.cz>
Download (untitled) / with headers
text/plain 302b
Download (untitled) / with headers
text/plain 471b
On Mon Mar 08 06:57:01 2010, kmx@volny.cz wrote: Show quoted text
> Another extlib candidate to be considered: > > liblzma - required for IO::Compress::Lzma + Compress::Raw::Lzma > > http://strawberryperl.com/package/kmx/32_libs/32bit_liblzma-xz- > 4.999.9beta-bin_20100308.zip > http://strawberryperl.com/package/kmx/64_libs/64bit_liblzma-xz- > 4.999.9beta-bin_20100308.zip
This one has been added, and so have most of the rest - if I've missed one (other than libidn), let me know.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.